from os import sep, makedirs, remove
from uuid import uuid1
from app import app, isAnAdmin
from pyrogram import filters
from pyrogram.enums.chat_action import ChatAction
from modules.utils import should_quote, jsonSave
from modules.database import col_applications

# Applications command =========================================================================================================
@app.on_message(~ filters.scheduled & filters.command(["applications"], prefixes=["/"]))
async def cmd_applications(app, msg):

    if await isAnAdmin(msg.from_user.id) is True:
        await app.send_chat_action(msg.chat.id, ChatAction.UPLOAD_DOCUMENT)
        filename = uuid1()
        output = []
        for entry in col_applications.find():
            output.append(entry)
        makedirs("tmp", exist_ok=True)
        jsonSave(output, f"tmp{sep}{filename}.json")
        await msg.reply_document(document=f"tmp{sep}{filename}.json", file_name="applications", quote=should_quote(msg))
        remove(f"tmp{sep}{filename}.json")
# ==============================================================================================================================